iOS Submission -- Invalid Binary

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

iOS Submission -- Invalid Binary

Matthias Rebbe via use-livecode
Hi All,

I’ve just submitted an iPad-only iOS app using
MacOS 10.12.6
LC 8.1.3
Xcode 8.2.1.

I received this from Apple:
----------
Dear developer,

We have discovered one or more issues with your recent delivery for "Finger Glove COUNTING". To process your delivery, the following issues must be corrected:

Invalid Binary - The app contains one or more corrupted binaries. Rebuild the app and resubmit.

----------

Does that mean I need to change my LC/Xcode combination used for the build?

As I reviewed list comments, I saw a reference to using Xcode 9.2 when submitted for the new iPhone X… this app doesn’t do that.

Thanks for any thoughts.


be well,
randy
www.classroomFocusedSoftware.com


_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|

Re: iOS Submission -- Invalid Binary

Matthias Rebbe via use-livecode
Hi Randy,

Yes - you need to use a more recent version of 8.1 - the current maintenance release is 8.1.8.

Apple tightened there analysis of binaries recently which caught a mis-written field in 64-bit parts of iOS binaries. Not something which ever caused a problem at runtime - but falls foul of whatever checks the AppStore upload process does.

Warmest Regards,

Mark.

Sent from my iPhone

> On 28 Jan 2018, at 17:59, Randy Hengst via use-livecode <[hidden email]> wrote:
>
> Hi All,
>
> I’ve just submitted an iPad-only iOS app using
> MacOS 10.12.6
> LC 8.1.3
> Xcode 8.2.1.
>
> I received this from Apple:
> ----------
> Dear developer,
>
> We have discovered one or more issues with your recent delivery for "Finger Glove COUNTING". To process your delivery, the following issues must be corrected:
>
> Invalid Binary - The app contains one or more corrupted binaries. Rebuild the app and resubmit.
>
> ----------
>
> Does that mean I need to change my LC/Xcode combination used for the build?
>
> As I reviewed list comments, I saw a reference to using Xcode 9.2 when submitted for the new iPhone X… this app doesn’t do that.
>
> Thanks for any thoughts.
>
>
> be well,
> randy
> www.classroomFocusedSoftware.com
>
>
> _______________________________________________
> use-livecode mailing list
> [hidden email]
> Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
> http://lists.runrev.com/mailman/listinfo/use-livecode


_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|

Re: iOS Submission -- Invalid Binary

Matthias Rebbe via use-livecode
Thank you, Mark.

I’ll give that a go.

be well,
randy
www.classroomFocusedSoftware.com


> On Jan 28, 2018, at 12:38 PM, Mark Waddingham via use-livecode <[hidden email]> wrote:
>
> Hi Randy,
>
> Yes - you need to use a more recent version of 8.1 - the current maintenance release is 8.1.8.
>
> Apple tightened there analysis of binaries recently which caught a mis-written field in 64-bit parts of iOS binaries. Not something which ever caused a problem at runtime - but falls foul of whatever checks the AppStore upload process does.
>
> Warmest Regards,
>
> Mark.
>
> Sent from my iPhone
>
>> On 28 Jan 2018, at 17:59, Randy Hengst via use-livecode <[hidden email]> wrote:
>>
>> Hi All,
>>
>> I’ve just submitted an iPad-only iOS app using
>> MacOS 10.12.6
>> LC 8.1.3
>> Xcode 8.2.1.
>>
>> I received this from Apple:
>> ----------
>> Dear developer,
>>
>> We have discovered one or more issues with your recent delivery for "Finger Glove COUNTING". To process your delivery, the following issues must be corrected:
>>
>> Invalid Binary - The app contains one or more corrupted binaries. Rebuild the app and resubmit.
>>
>> ----------
>>
>> Does that mean I need to change my LC/Xcode combination used for the build?
>>
>> As I reviewed list comments, I saw a reference to using Xcode 9.2 when submitted for the new iPhone X… this app doesn’t do that.
>>
>> Thanks for any thoughts.
>>
>>
>> be well,
>> randy
>> www.classroomFocusedSoftware.com
>>
>>
>> _______________________________________________
>> use-livecode mailing list
>> [hidden email]
>> Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
>> http://lists.runrev.com/mailman/listinfo/use-livecode
>
>
> _______________________________________________
> use-livecode mailing list
> [hidden email]
> Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
> http://lists.runrev.com/mailman/listinfo/use-livecode

_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode